#include <iostream>
using namespace std;

int main() {
    char c = 'A';
    cout << c << "\n";
    // cout << &c << "\n";  // address of c. The compiler will show again the value and not the address
    void* p = &c;  // let's define a pointer to get the address
    cout << p << "\n";
    cout << sizeof(c) << "\n";  // it'll give 1 byte (for chars)
    int i = 10;
    void* q = &i;
    cout << q << "\n";
    cout << sizeof(i) << "\n";  // it'll give 4 bytes (for ints)
    char* r = &c; // the pointer "r" will hold the address of c
    cout << c << "\n";  // will print "A"
    *r = 'B';  // * is the "dereference" op
    cout << c << "\n";  // will print "B" because the pointer was modified right before
}